---
title: "List prebuilt financial model templates for a company"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/models`

## Path parameters

- `id` (`company-models-list.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/models'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/models';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/models"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "entityName": "string",
    "models": [
      {
        "key": "string",
        "label": "string",
        "description": "string",
        "kind": "dcf",
        "state": "available",
        "requiredMetricKeys": [
          "string"
        ],
        "missingMetricKeys": [
          "string"
        ],
        "prefilledMetricKeys": [
          "string"
        ],
        "disclaimer": "string"
      }
    ]
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`company-models-list.response.200.data`; object, required)
  - `entityId` (`company-models-list.response.200.data.entityId`; string, required)
    - format `uuid`
  - `entityName` (`company-models-list.response.200.data.entityName`; string, required)
  - `models` (`company-models-list.response.200.data.models`; array<object>, required)
    - `key` (`company-models-list.response.200.data.models.key`; string, required)
    - `label` (`company-models-list.response.200.data.models.label`; string, required)
    - `description` (`company-models-list.response.200.data.models.description`; string, required)
    - `kind` (`company-models-list.response.200.data.models.kind`; string, required)
      - one of `"dcf"`, `"historicals"`, `"multiples"`, `"wacc"`, `"epv"`
    - `state` (`company-models-list.response.200.data.models.state`; string, required)
      - one of `"available"`, `"partial"`, `"unavailable"`
    - `requiredMetricKeys` (`company-models-list.response.200.data.models.requiredMetricKeys`; array<string>, required)
    - `missingMetricKeys` (`company-models-list.response.200.data.models.missingMetricKeys`; array<string>, required)
    - `prefilledMetricKeys` (`company-models-list.response.200.data.models.prefilledMetricKeys`; array<string>, required)
    - `disclaimer` (`company-models-list.response.200.data.models.disclaimer`; string, required)
- `meta` (`company-models-list.response.200.meta`; object, optional)
  - `timestamp` (`company-models-list.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-models-list.response.400.error`; object, required)
  - `code` (`company-models-list.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-models-list.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`company-models-list.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-models-list.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-models-list.response.404.error`; object, required)
  - `code` (`company-models-list.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-models-list.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`company-models-list.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-models-list.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-models-list.response.500.error`; object, required)
  - `code` (`company-models-list.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-models-list.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`company-models-list.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-models-list.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-models-list.response.503.error`; object, required)
  - `code` (`company-models-list.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-models-list.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`company-models-list.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-models-list.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/company-models-list/index.md
